> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-9c5a0d9c.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# サービスのバックアップ一覧

> service のすべての backups の一覧を返します。一覧では最新の backups が先頭に表示されます。



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/backups
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/backups:
    get:
      tags:
        - Backup
      summary: サービスのバックアップ一覧
      description: service のすべての backups の一覧を返します。一覧では最新の backups が先頭に表示されます。
      parameters:
        - description: backup を所有する組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: backup の作成元である service の ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/Backup'
                    type: array
                  status:
                    description: HTTP ステータスコード。
                    example: 200
                    type: number
                type: object
          description: 正常なレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 詳細なエラーの説明。
                    type: string
                  status:
                    description: HTTP ステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーと見なされる何らかの理由により、server がリクエストを処理できないか、または処理しません。
components:
  schemas:
    Backup:
      properties:
        backupName:
          description: external backup bucket 上のバックアップ名。
          type: string
        bucket:
          description: バックアップの保存先バケット。
          oneOf:
            - $ref: '#/components/schemas/AwsBackupBucketProperties'
            - $ref: '#/components/schemas/GcpBackupBucketProperties'
            - $ref: '#/components/schemas/AzureBackupBucketProperties'
        durationInSeconds:
          description: >-
            バックアップの実行にかかった時間（Seconds 単位）。status が still in_progress
            の場合、これはバックアップ開始から現在までの経過時間（Seconds 単位）です。
          type: number
        finishedAt:
          description: バックアップ完了 timestamp。ISO-8601。完了したバックアップでのみ利用できます
          format: date-time
          type: string
        id:
          description: 一意のバックアップ ID。
          format: uuid
          type: string
        serviceId:
          description: '名前 '
          type: string
        sizeInBytes:
          description: バックアップのサイズ（バイト単位）。
          type: number
        startedAt:
          description: バックアップ開始 timestamp。ISO-8601。
          format: date-time
          type: string
        status:
          description: 'バックアップの status: ''done''、''error''、''in_progress''。'
          enum:
            - done
            - error
            - in_progress
          type: string
        type:
          description: バックアップの種類（"full" または "インクリメンタル"）。
          enum:
            - full
            - incremental
          type: string
    AwsBackupBucketProperties:
      properties:
        bucketPath:
          description: バケットパス
          type: string
        bucketProvider:
          description: バケットプロバイダー
          enum:
            - AWS
          type: string
        iamRoleArn:
          description: AWS IAM ロール
          type: string
        iamRoleSessionName:
          description: AWS IAM ロール
          type: string
    GcpBackupBucketProperties:
      properties:
        accessKeyId:
          description: アクセスキー ID (HMAC キー)
          type: string
        bucketPath:
          description: バケットパス
          type: string
        bucketProvider:
          description: バケットプロバイダー
          enum:
            - GCP
          type: string
    AzureBackupBucketProperties:
      properties:
        bucketProvider:
          description: バケットプロバイダー
          enum:
            - AZURE
          type: string
        containerName:
          description: コンテナー名
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````